// Bermuda: Einführung der Strukturen
#include <iostream>
#include <cstdlib>
using namespace std;

const int X=9; // Spielfeldausdehnung waagerecht
const int Y=7; // Spielfeldausdehnung senkrecht
const int MAXSCHIFF=4; // Anzahl der Schiffe

struct Schiff
{ // Nachbildung eines Schiffes
    int x; // Position waagerecht
    int y; // Position senkrecht
    bool gefunden;
};

Schiff schiff[MAXSCHIFF]; // Unsere Flotte

int main()
{
    int i, j; // Zählervariablen
    bool neueZahl; // ist eine Position gefunden?

    srand(time(0));
    for (i=0; i<MAXSCHIFF; i++) // alle Schiffe
    {
        schiff[i].gefunden = false;
        // Bestimmung der Position
        do
        {
            // Einmal Position würfeln
            schiff[i].x = rand() % X;
            schiff[i].y = rand() % Y;
            neueZahl = true;
            // Prüfe, ob eines der bisherigen Schiffe die
            // Position schon innehat
            for (j=0; j<i; j++)
            {
                if (schiff[j].x==schiff[i].x
                    && schiff[j].y==schiff[i].y)
                {
                    // Da saß schon eins!
                    neueZahl = false;
                }
            }
        // erst bei neuer Position fertig
        } while (!neueZahl);
    }
    // Zur Kontrolle alle anzeigen
    for (i=0; i<MAXSCHIFF; i++)
    {
        cout << schiff[i].x << "," << schiff[i].y << " ";
    }
    cout << endl;
}

