#include <exception>
#include <iostream>
using namespace std;

class DreierAusnahme : public exception
{
public:
    virtual const char *what() const throw()
    {
        return "Dreier-Exception";
    }
};

class ViererAusnahme : public exception
{
public:
    virtual const char *what() const throw()
    {
        return "Vierer-Exception";
    }
};

void durchlaufe() throw (DreierAusnahme, ViererAusnahme)
{
     static int lauf = 0;
     ++lauf;
     if (lauf%3)
         throw DreierAusnahme();
     if (lauf%4)
         throw ViererAusnahme();
}

int main()
{
    for (int i=0; i<20; i++)
    {
        try {
            durchlaufe();
        } catch (exception& ex) {
            cout << ex.what() << endl;
        }
    }
}

