#include <iostream>   // die Bildschirmausgabe
#include <cstdlib>    // die Zufallsfunktionen
#include <vector>     // der STL-Container
#include <algorithm>  // die STL-Algorithmen
using namespace std;

int main()
{
    vector<int> lotto(6);
    int i, j;
    bool neueZahl;

    srand(0);
    for(i=0; i<6; i++) // Ziehe nacheinander sechs Zahlen.
    {
        do  // Wiederhole die Ziehung, bis die neue Zahl
        {   // nicht mit einer der vorigen identisch ist.
            lotto[i] = rand() % 49 + 1;
            neueZahl = true; // positive Grundeinstellung
            for (j=0; j<i; j++)
            {  // Durchlaufe alle bisher gezogenen Kugeln.
                if (lotto[j]==lotto[i])
                { // Hier wurde ein Doppelter entdeckt.
                    neueZahl = false;
                }
            }
        } while (!neueZahl);
    }
    sort(lotto.begin(), lotto.end());
    for (i=0; i<6; i++)
    {
        cout << lotto[i] << endl;
    }
}

