#include <iostream>
using namespace std;

class MeaCulpa // Basisklasse aller meiner Fehler
{
public:
    virtual void meldeFehler() = 0;
};

class KeineDatenMehr : public MeaCulpa
{
public:
    KeineDatenMehr(int a) { nr = a; }
    void meldeFehler() { cout << nr << endl; }
private:
    int nr;
};

class QuelleFehlt : public MeaCulpa
{
public:
    QuelleFehlt() {}
    void meldeFehler() { cout << "Quelle fehlt" << endl; }
};

void tuWas(int problem) throw (KeineDatenMehr, QuelleFehlt)
{
    if (problem==0)
    {
        throw KeineDatenMehr(8);
    }
    if (problem==1)
    {
        throw QuelleFehlt();
    }
}

int main()
{
    try
    {
        tuWas(0);
    }
    catch(MeaCulpa& fehler)
    {
        fehler.meldeFehler();
    }
}

