#include <iostream>
using namespace std;

struct ListenKnoten
{
    int data;            // simuliert die Daten
    ListenKnoten *next;  // Verbindung zum Nachfolger
};

ListenKnoten *anker = 0; // Globaler Anfangspunkt des Stacks

void push(int data) // Füge ein neues Element hinzu.
{
    // Neues Element für die Liste erzeugen:
    ListenKnoten *node = new ListenKnoten;
    node->data = data;  // Besetze die Daten.
    node->next = anker; // Hänge die bisherige Liste an.
    anker = node;       // Setze den Anfangspunkt hierher.
}

int pop() // Entnehme das zuletzt eingefügte Element.
{
    int inhalt=0; // Zwischenspeicher für ein Element
    if (anker)    // ungleich 0! Die Liste ist nicht leer!
    {
        // Sichere Zeiger auf das später zu löschende Element:
        ListenKnoten *old = anker;
        anker = anker->next; // Nächstes Element nach vorn
        inhalt = old->data;  // Sichere die Daten.
        delete old;          // Lösche das Element.
    }
    return inhalt; // Liefere den Inhalt zurück.
}

int main() // Testen der Stack-Funktionen
{
    push(2); // Daten in den Stack schieben
    push(5); // Daten in den Stack schieben
    push(18); // Daten in den Stack schieben
    cout << pop() << endl; // muss 18 ausgeben
    cout << pop() << endl; // muss 5 ausgeben
    cout << pop() << endl; // muss 2 ausgeben
}

