#include <fstream>
#include <string>
#include <cstring>
#include <iostream>
using namespace std;

// Diese Klasse nimmt die Zeichenkette im klassischen
// char-Array auf und enthält damit die Daten.
class Daten
{
public:
   void set(char *para)
   {
        strncpy(data, para, sizeof(data));
        data[sizeof(data)-1] = 0;
   }
   void zeige()
   {
       cout << data << endl;
   }
private:
    char data[255];
};

// Hier werden die C++-Strings verwendet. Allerdings enthält
// ein Objekt vom Typ string nicht die eigentlichen Daten.
class StrDaten
{
public:
   void set(char *para)
   {
       data = para;
   }
   void zeige()
   {
       cout << data << endl;
   }
private:
    string data;
};

int main(int argc, char**argv)
{
  // StrDaten daten; // Damit funktioniert es nicht!
  Daten daten;       // Damit funktioniert es!

  // Wurde ein Parameter beim Aufruf übergeben?
  if (argc>=2)
  {
      daten.set(argv[1]); // In daten ablegen
      // Objekt in Datei speichern
      fstream f("testdatei", ios::out|ios::binary);
      f.write((char *)&daten, sizeof(daten));
  }
  // Kein Argument? Dann Datei auslesen!
  if (argc==1)
  {
      // Dateiinhalt in Objekt lesen
      fstream f("testdatei", ios::in|ios::binary);
      f.read((char *)&daten, sizeof(daten));
      daten.zeige(); // ... und anzeigen
  }
}

