#include <iostream>
using namespace std;
#include <stdarg.h>

void meineFunktion(int anzahl, ... )
{
    va_list params; // Zugriffshandle für Parameter
    int intpar;     // Parameterinhalt
    va_start(params, anzahl); // Zugriff vorbereiten
    // Durchlaufe alle Parameter (steht in anzahl)
    for (int i=0; i<anzahl; i++)
    {
        intpar = va_arg(params, int); // Hole den Parameter.
        cout << intpar << endl;       // Zeige ihn an.
    }
    cout << "---" << endl;
    va_end(params); // Zugriff abschließen
}

int main()
{
    // Tests der Funktion mit unterschiedlichen Parametern
    meineFunktion(2, 5, 2);
    meineFunktion(0);
    meineFunktion(4, 5, 2, 0, 3);
}

